package ity.opencraft.data;

import ity.opencraft.backends.Backended;
import org.joml.Vector2f;
import org.joml.Vector3f;

import java.util.List;

public class BlockMesh extends Backended {
    public void init() {
        ((BlockMesh)this.backend).init();
    }

    public void upload(float[] pos, float[] norm, float[] texIds, float[] light, int[] inds) {
        ((BlockMesh)this.backend).upload(pos, norm, texIds, light, inds);
    }

    public void upload(List<Vector3f> pos, List<Vector3f> norm, List<Vector2f> texIds, List<Float> light, List<Integer> inds) {
        ((BlockMesh)this.backend).upload(pos, norm, texIds, light, inds);
    }

    public void bind() {
        ((BlockMesh)this.backend).bind();
    }

    public void render() {
        ((BlockMesh)this.backend).render();
    }

    public void unbind() {
        ((BlockMesh)this.backend).unbind();
    }

    public void destroy(){
        ((BlockMesh)this.backend).destroy();
    }

    // Used for debug purposes.
    public int getId() {
        return ((BlockMesh)this.backend).getId();
    }
}
