package ity.opencraft.io;

import org.lwjgl.glfw.GLFW;
import org.lwjgl.glfw.GLFWKeyCallback;

public class Keyboard {
    private final boolean[] keys = new boolean[GLFW.GLFW_KEY_LAST];
    public void init(long wID) {
        GLFW.glfwSetKeyCallback(wID, new GLFWKeyCallback() {
            public void invoke(long window, int key, int scancode, int action, int mods) {
                keys[key] = (action != GLFW.GLFW_RELEASE);
            }
        });
    }
    public boolean isKeyDown(int key) {
        return keys[key];
    }
}
