package ity.opencraft.physics;

import ity.opencraft.client.ViewportCamera;
import org.joml.Vector3f;

public class PlayerVelocity {
    public static Vector3f vel = new Vector3f();
    public static float DRAG = 15f;
    public static void update(float delta) {
        Vector3f offsetVec = new Vector3f(vel).div(1000.0f).mul(delta);
        Vector3f cameraPosVec = new Vector3f(ViewportCamera.pos);
        Vector3f moveToVec = new Vector3f(cameraPosVec).add(offsetVec);
        boolean res = PlayerMovement.moveTo(moveToVec);
        if(!res) {
            PlayerMovement.moveTo(new Vector3f(cameraPosVec).add(new Vector3f(0.0f, offsetVec.y, 0.0f)));
        }

        // https://answers.unity.com/questions/652010/how-drag-is-calculated-by-unity-engine.html
        vel.mul(1-(delta/1000.0f) * DRAG);
    }
}
