package ity.opencraft.render;

import ity.opencraft.backends.Backend;
import ity.opencraft.backends.BackendImpl;
import org.lwjgl.opengl.GL11;

@BackendImpl(Backend.GL)
public class RendererGL extends Renderer {
    @Override
    public void clearScreen() {
        GL11.glClear(GL11.GL_COLOR_BUFFER_BIT | GL11.GL_DEPTH_BUFFER_BIT);
    }

    @Override
    public void depthTest() {
        GL11.glEnable(GL11.GL_DEPTH_TEST);
        GL11.glEnable(GL11.GL_CULL_FACE);
        GL11.glEnable(GL11.GL_BLEND);
        GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
        GL11.glClearColor(0.5f, 0.85f, 1.0f, 1.0f);
    }
}