package ity.opencraft.world.blocks;

import ity.opencraft.world.Block;
import ity.opencraft.world.BlockSide;
import org.joml.Vector3i;

public class BlockAir extends Block {
    @Override
    public boolean isTransparent(Block blockSide) {
        return true;
    }

    @Override
    public int textureIndex(BlockSide side, Vector3i pos) {
        return 0;
    }

    @Override
    public boolean visible() {
        return false;
    }

    @Override
    public boolean isSolid() {
        return false;
    }
}
