package ity.opencraft.world.blocks;

import ity.opencraft.world.Block;
import ity.opencraft.world.BlockSide;
import ity.opencraft.world.Blocks;
import org.joml.Vector3i;

public class BlockLeaves extends Block {
    @Override
    public boolean isTransparent(Block blockSide) {
        return blockSide != Blocks.LEAVES;
    }

    @Override
    public int textureIndex(BlockSide side, Vector3i pos) {
        return 9;
    }

    @Override
    public boolean isSolid() {
        return true;
    }

}
