package ity.opencraft.world.blocks;

import ity.opencraft.world.BlockSide;
import ity.opencraft.world.Block;
import org.joml.Vector3i;

public class BlockStone extends Block {
    @Override
    public boolean isTransparent(Block blockSide) {
        return false;
    }

    @Override
    public int textureIndex(BlockSide side, Vector3i pos) {
        return 1;
    }

    @Override
    public boolean isSolid() {
        return true;
    }

    @Override
    public boolean textureRotate(BlockSide side) {
        return true;
    }
}
