package ity.opencraft.world.blocks;

import ity.opencraft.mesh.BlockModelType;
import ity.opencraft.world.Block;
import ity.opencraft.world.BlockSide;
import ity.opencraft.world.Blocks;
import org.joml.Vector3i;

public class BlockWater extends Block {
    @Override
    public boolean isTransparent(Block blockSide) {
        return blockSide != Blocks.WATER;
    }

    @Override
    public int textureIndex(BlockSide side, Vector3i pos) {
        return 10;
    }

    @Override
    public boolean isSolid() {
        return true;
    }

    @Override
    public BlockModelType modelType() {
        return BlockModelType.WATER;
    }

    @Override
    public boolean isBlend() {
        return true;
    }
}
