package ity.opencraft.world.blocks;

import ity.opencraft.world.Block;
import ity.opencraft.world.BlockSide;
import org.joml.Vector3i;

public class BlockWoodLog extends Block {
    @Override
    public boolean isTransparent(Block blockSide) {
        return false;
    }

    @Override
    public int textureIndex(BlockSide side, Vector3i pos) {
        return switch (side) {
            case TOP, BOTTOM -> 8;
            case LEFT, RIGHT, FRONT, BACK -> 7;
            default -> -1;
        };
    }

    @Override
    public boolean isSolid() {
        return true;
    }
}
