package ity.opencraft.client;

import ity.opencraft.util.MatrixUtils;
import org.joml.Matrix3f;
import org.joml.Matrix4f;
import org.joml.Vector3f;

public class ViewportCamera {
    public static Vector3f pos = new Vector3f(0,0,0);

    // This is an angle...
    public static Vector3f rot = new Vector3f(0,0,180);

    public static Matrix4f getViewportMatrix() {
        return MatrixUtils.viewMatrix(ViewportCamera.pos, ViewportCamera.rot);
    }

    public static Vector3f transformVector(Vector3f vec) {
        Vector3f rotation = new Vector3f(rot).mul((float) (Math.PI / 180.0f), new Vector3f());
        return new Vector3f(vec).mul(new Matrix3f().rotateXYZ(rotation).invert());
    }

    public static Vector3f forwardVector() {
        return transformVector(new Vector3f(0, 0,-1));
    }

    public static Vector3f rightVector() {
        return transformVector(new Vector3f(1, 0,0));
    }
}
