package ity.opencraft.data;

import org.joml.Vector2f;
import org.joml.Vector3f;

import java.util.ArrayList;
import java.util.List;

public class BlockMeshData {
    public ArrayList<Vector3f> pos;
    public ArrayList<Vector3f> norms;
    public ArrayList<Vector2f> texIds;
    public ArrayList<Float> light;

    public ArrayList<Integer> inds;

    public BlockMeshData(ArrayList<Vector3f> pos, ArrayList<Vector3f> norms, ArrayList<Vector2f> texIds, ArrayList<Float> light, ArrayList<Integer> inds) {
        this.pos = pos;
        this.norms = norms;
        this.texIds = texIds;
        this.light = light;

        this.inds = inds;
    }

    public void free() {
        if(pos == null) return;
        pos.clear();
        pos = null;
        norms.clear();
        norms = null;
        texIds.clear();
        texIds = null;
        light.clear();
        light = null;
        inds.clear();
        inds = null;
    }
}
