package ity.opencraft.data;

public class BlockMeshHandle {
    public float timer;
    public BlockMesh mesh;
    private BlockMeshPool pool;
    public BlockMeshData data;

    public BlockMeshHandle(BlockMeshPool pool, BlockMeshData data) {
        this.pool = pool;
        this.data = data;
    }

    public void init() {
        mesh = new BlockMesh();
        mesh.init();
    }

    public void upload() {
        mesh.upload(data.pos, data.norms, data.texIds, data.light, data.inds);
    }

    public void free() {
        pool.free.add(this);
        data.free();
        data = null;
    }
}
