package ity.opencraft.data;

import java.util.ArrayList;

public class BlockMeshPool {
    public final ArrayList<BlockMeshHandle> free = new ArrayList<>();

    public BlockMeshHandle make(BlockMeshData data) {
        if(free.size() > 0) {
            BlockMeshHandle handle = free.remove(free.size()-1);
            handle.data = data;
            handle.upload();
            return handle;
        } else {
            BlockMeshHandle handle = new BlockMeshHandle(this, data);
            handle.init();
            handle.upload();
            return handle;
        }
    }

    // TODO implement pool GC
    public void garbageCollectUpdate(float delta) {

    }
}
