package ity.opencraft.data;

import ity.opencraft.backends.Backend;
import ity.opencraft.backends.BackendImpl;
import org.lwjgl.opengl.GL11;

@BackendImpl(Backend.GL)
public class TextureGL extends Texture {
    @Override
    public void bind() {
        GL11.glBindTexture(GL11.GL_TEXTURE_2D, id);
    }

    @Override
    public void unbind() {
        GL11.glBindTexture(GL11.GL_TEXTURE_2D, 0);
    }
}
