package ity.opencraft.physics;

import org.joml.Vector3f;

public class Gravity {
    public static float GRAVITY = 9.8f;
    public static float inAir = 0f;
    public static void update(float delta) {
        if(PlayerMovement.isOnGround()) {
            PlayerVelocity.vel.y = 0.0f;
            inAir = 0.0f;
        } else {
            inAir += delta/1000.0f*GRAVITY;
            PlayerVelocity.vel.sub(new Vector3f(0f, inAir*1.5f, 0f));
        }
    }
}
