package ity.opencraft.world;

import ity.opencraft.data.BlockMeshData;
import ity.opencraft.data.BlockMeshHandle;
import org.joml.Vector3i;

public class ChunkReference {
    private Vector3i pos;
    public boolean isChunkPresent = true;
    // TODO refactor, package-private is ugly
    ChunkReference(int x, int y, int z) {
        this.pos = new Vector3i(x, y, z);
    }

    public BlockMeshHandle getMeshHandle() {
        return World.getChunkAtRaw(pos).meshHandle;
    }
    public BlockMeshHandle getMeshHandle2() {
        return World.getChunkAtRaw(pos).meshHandle2;
    }

    public void setMeshHandle(BlockMeshHandle handle) {
        World.getChunkAtRaw(pos).meshHandle = handle;
    }

    public BlockMeshData getMeshData() {
        return World.getChunkAtRaw(pos).meshData;
    }

    public void setMeshData(BlockMeshData handle) {
        World.getChunkAtRaw(pos).meshData = handle;
    }
    public BlockMeshData getMeshData2() {
        return World.getChunkAtRaw(pos).meshData2;
    }

    public void setMeshData2(BlockMeshData handle) {
        World.getChunkAtRaw(pos).meshData2 = handle;
    }
    public void setMeshHandle2(BlockMeshHandle handle) {
        World.getChunkAtRaw(pos).meshHandle2 = handle;
    }

    public boolean isChunkGenerated() {
        return World.isChunkAt(pos);
    }

    public Vector3i getPos() {
        return this.pos;
    }
}
