#version 460

in vec3 pos;
in vec3 norm;
in vec2 texUv;
in float light;

out vec3 passNorm;
out vec2 passTexUv;
out float passLight;
out vec3 fragPos;

uniform mat4 view;
uniform mat4 proj;

void main() {
    gl_Position = proj * view * vec4(pos, 1);
    passNorm = norm;
    fragPos = pos;
    passTexUv = texUv;
    passLight = light;
}